
/**************************************************************************
**  (c) Copyright 2005, Andromeda Technology & Automation
** This is free software; you can redistribute it and/or modify it under the
** terms of the GNU General Public License, see the file COPYING.
***************************************************************************
** MODULE INFORMATION *
***********************
**      FILE NAME      : object.h
**      SYSTEM NAME    : 
**      VERSION NUMBER : $Revision: 1.1 $
**
**  DESCRIPTION      :  
**
**  EXPORTED OBJECTS : 
**  LOCAL    OBJECTS : 
**  MODULES  USED    :
***************************************************************************
**  ADMINISTRATIVE INFORMATION *
********************************
**      ORIGINAL AUTHOR : Arjen Baart - arjen@andromeda.nl
**      CREATION DATE   : Jun 07, 2005
**      LAST UPDATE     : 
**      MODIFICATIONS   : 
**************************************************************************/

/*****************************
   $Log: object.h,v $
   Revision 1.1  2007/02/02 07:36:39  arjen
   Started an object oriented abstraction of Gnucomo

*****************************/

/* static const char *RCSID = "$Id: object.h,v 1.1 2007/02/02 07:36:39 arjen Exp $"; */

#include "database.h"

/*
///////////////////////////////////////////////////////////////////////////
//  NAME           : Object
//  BASECLASS      : database_entity
//  MEMBERS        :
//  OPERATORS      :
//  METHODS        : 
//
//  DESCRIPTION    : 
//
//  RELATIONS      :
//  SEE ALSO       :
//  LAST MODIFIED  : Jun 07, 2005
///////////////////////////////////////////////////////////////////////////
*/

class Object : public database_entity
{

   String  hostname;

public:

   Object(const gnucomo_database &);
   Object(const gnucomo_database &, String);

   String   Hostname();  // Return the database access string.
};

